<!DOCTYPE HTML>
<html lang="en" class="sidebar-visible no-js light">
    <head>
        <!-- Book generated using mdBook -->
        <meta charset="UTF-8">
        <title>Governança de Desenvolvimento - Arquitetura Mínima Viável</title>
        <!-- Custom HTML head -->
        <meta content="text/html; charset=utf-8" http-equiv="Content-Type">
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="theme-color" content="#ffffff" />

        <link rel="icon" href="../../favicon.svg">
        <link rel="shortcut icon" href="../../favicon.png">
        <link rel="stylesheet" href="../../css/variables.css">
        <link rel="stylesheet" href="../../css/general.css">
        <link rel="stylesheet" href="../../css/chrome.css">
        <link rel="stylesheet" href="../../css/print.css" media="print">
        <!-- Fonts -->
        <link rel="stylesheet" href="../../FontAwesome/css/font-awesome.css">
        <link rel="stylesheet" href="../../fonts/fonts.css">
        <!-- Highlight.js Stylesheets -->
        <link rel="stylesheet" href="../../highlight.css">
        <link rel="stylesheet" href="../../tomorrow-night.css">
        <link rel="stylesheet" href="../../ayu-highlight.css">

        <!-- Custom theme stylesheets -->
    </head>
    <body>
        <!-- Provide site root to javascript -->
        <script type="text/javascript">
            var path_to_root = "../../";
            var default_theme = window.matchMedia("(prefers-color-scheme: dark)").matches ? "navy" : "light";
        </script>

        <!-- Work around some values being stored in localStorage wrapped in quotes -->
        <script type="text/javascript">
            try {
                var theme = localStorage.getItem('mdbook-theme');
                var sidebar = localStorage.getItem('mdbook-sidebar');

                if (theme.startsWith('"') && theme.endsWith('"')) {
                    localStorage.setItem('mdbook-theme', theme.slice(1, theme.length - 1));
                }

                if (sidebar.startsWith('"') && sidebar.endsWith('"')) {
                    localStorage.setItem('mdbook-sidebar', sidebar.slice(1, sidebar.length - 1));
                }
            } catch (e) { }
        </script>

        <!-- Set the theme before any content is loaded, prevents flash -->
        <script type="text/javascript">
            var theme;
            try { theme = localStorage.getItem('mdbook-theme'); } catch(e) { }
            if (theme === null || theme === undefined) { theme = default_theme; }
            var html = document.querySelector('html');
            html.classList.remove('no-js')
            html.classList.remove('light')
            html.classList.add(theme);
            html.classList.add('js');
        </script>

        <!-- Hide / unhide sidebar before it is displayed -->
        <script type="text/javascript">
            var html = document.querySelector('html');
            var sidebar = 'hidden';
            if (document.body.clientWidth >= 1080) {
                try { sidebar = localStorage.getItem('mdbook-sidebar'); } catch(e) { }
                sidebar = sidebar || 'visible';
            }
            html.classList.remove('sidebar-visible');
            html.classList.add("sidebar-" + sidebar);
        </script>

        <nav id="sidebar" class="sidebar" aria-label="Table of contents">
            <div class="sidebar-scrollbox">
                <ol class="chapter"><li class="chapter-item expanded "><a href="../../intro.html"><strong aria-hidden="true">1.</strong> Introdução</a></li><li class="chapter-item expanded "><a href="../../togaf.html"><strong aria-hidden="true">2.</strong> ToGAF O-AAF</a></li><li class="chapter-item expanded "><a href="../../objetivo.html"><strong aria-hidden="true">3.</strong> Objetivo</a></li><li class="chapter-item expanded "><a href="../../proposta.html"><strong aria-hidden="true">4.</strong> Proposta Técnica</a></li><li class="chapter-item expanded "><a href="../../entrevistas.html"><strong aria-hidden="true">5.</strong> Entrevista</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../entrevista/arqsis.html"><strong aria-hidden="true">5.1.</strong> Arquitetura de Sistemas</a></li><li class="chapter-item expanded "><a href="../../entrevista/seg.html"><strong aria-hidden="true">5.2.</strong> Segurança</a></li><li class="chapter-item expanded "><a href="../../entrevista/infra.html"><strong aria-hidden="true">5.3.</strong> Infraestrutura</a></li><li class="chapter-item expanded "><a href="../../entrevista/db.html"><strong aria-hidden="true">5.4.</strong> Dados</a></li><li class="chapter-item expanded "><a href="../../entrevista/proj.html"><strong aria-hidden="true">5.5.</strong> Projetos</a></li></ol></li><li class="chapter-item expanded "><a href="../../asis.html"><strong aria-hidden="true">6.</strong> AS-IS de Arquitetura</a></li><li class="chapter-item expanded "><a href="../../mva.html"><strong aria-hidden="true">7.</strong> Arquitetura Mínima Viável</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../mva/mvadesign.html"><strong aria-hidden="true">7.1.</strong> Arquitetura de Design</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../mva/ad/adrs/adr001.html"><strong aria-hidden="true">7.1.1.</strong> ADR-001</a></li><li class="chapter-item expanded "><a href="../../mva/ad/adrs/adr002.html"><strong aria-hidden="true">7.1.2.</strong> ADR-002</a></li><li class="chapter-item expanded "><a href="../../mva/ad/adrs/adr003.html"><strong aria-hidden="true">7.1.3.</strong> ADR-003</a></li><li class="chapter-item expanded "><a href="../../mva/ad/adrs/adr004.html"><strong aria-hidden="true">7.1.4.</strong> ADR-004</a></li><li class="chapter-item expanded "><a href="../../mva/ad/adrs/adr005.html"><strong aria-hidden="true">7.1.5.</strong> ADR-005</a></li><li class="chapter-item expanded "><a href="../../mva/ad/adrs/adr006.html"><strong aria-hidden="true">7.1.6.</strong> ADR-006</a></li><li class="chapter-item expanded "><a href="../../mva/ad/adrs/adr007.html"><strong aria-hidden="true">7.1.7.</strong> ADR-007</a></li><li class="chapter-item expanded "><a href="../../mva/ad/adrs/adr008.html"><strong aria-hidden="true">7.1.8.</strong> ADR-008</a></li><li class="chapter-item expanded "><a href="../../mva/ad/adrs/adr009.html"><strong aria-hidden="true">7.1.9.</strong> ADR-009</a></li></ol></li><li class="chapter-item expanded "><a href="../../mva/mvasol.html"><strong aria-hidden="true">7.2.</strong> Arquitetura de Solucao</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../mva/as/adrs/adr001.html"><strong aria-hidden="true">7.2.1.</strong> ADR-001</a></li><li class="chapter-item expanded "><a href="../../mva/as/adrs/adr002.html"><strong aria-hidden="true">7.2.2.</strong> ADR-002</a></li><li class="chapter-item expanded "><a href="../../mva/as/adrs/adr003.html"><strong aria-hidden="true">7.2.3.</strong> ADR-003</a></li><li class="chapter-item expanded "><a href="../../mva/as/adrs/adr004.html"><strong aria-hidden="true">7.2.4.</strong> ADR-004</a></li><li class="chapter-item expanded "><a href="../../mva/as/adrs/adr005.html"><strong aria-hidden="true">7.2.5.</strong> ADR-005</a></li><li class="chapter-item expanded "><a href="../../mva/as/adrs/adr006.html"><strong aria-hidden="true">7.2.6.</strong> ADR-006</a></li><li class="chapter-item expanded "><a href="../../mva/as/adrs/adr007.html"><strong aria-hidden="true">7.2.7.</strong> ADR-007</a></li><li class="chapter-item expanded "><a href="../../mva/as/adrs/adr008.html"><strong aria-hidden="true">7.2.8.</strong> ADR-008</a></li><li class="chapter-item expanded "><a href="../../mva/as/adrs/adr009.html"><strong aria-hidden="true">7.2.9.</strong> ADR-009</a></li><li class="chapter-item expanded "><a href="../../mva/as/adrs/adr010.html"><strong aria-hidden="true">7.2.10.</strong> ADR-010</a></li><li class="chapter-item expanded "><a href="../../mva/as/adrs/adr011.html"><strong aria-hidden="true">7.2.11.</strong> ADR-011</a></li><li class="chapter-item expanded "><a href="../../mva/as/adrs/adr012.html"><strong aria-hidden="true">7.2.12.</strong> ADR-012</a></li></ol></li></ol></li><li class="chapter-item expanded "><a href="../../gov/intro.html"><strong aria-hidden="true">8.</strong> Governança de Arquitetura</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../gov/fase1.html"><strong aria-hidden="true">8.1.</strong> MGM Microservices Governance Maturity</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-001.html"><strong aria-hidden="true">8.1.1.</strong> ADR-001</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-002.html"><strong aria-hidden="true">8.1.2.</strong> ADR-002</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-003.html"><strong aria-hidden="true">8.1.3.</strong> ADR-003</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-004.html"><strong aria-hidden="true">8.1.4.</strong> ADR-004</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-005.html"><strong aria-hidden="true">8.1.5.</strong> ADR-005</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-006.html"><strong aria-hidden="true">8.1.6.</strong> ADR-006</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-007.html"><strong aria-hidden="true">8.1.7.</strong> ADR-007</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-008.html"><strong aria-hidden="true">8.1.8.</strong> ADR-008</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-009.html"><strong aria-hidden="true">8.1.9.</strong> ADR-009</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-010.html"><strong aria-hidden="true">8.1.10.</strong> ADR-010</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-011.html"><strong aria-hidden="true">8.1.11.</strong> ADR-011</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-012.html"><strong aria-hidden="true">8.1.12.</strong> ADR-012</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-013.html"><strong aria-hidden="true">8.1.13.</strong> ADR-013</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-014.html"><strong aria-hidden="true">8.1.14.</strong> ADR-014</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-015.html"><strong aria-hidden="true">8.1.15.</strong> ADR-015</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-016.html"><strong aria-hidden="true">8.1.16.</strong> ADR-016</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-017.html"><strong aria-hidden="true">8.1.17.</strong> ADR-017</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-018.html"><strong aria-hidden="true">8.1.18.</strong> ADR-018</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-019.html"><strong aria-hidden="true">8.1.19.</strong> ADR-019</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/ADR-020.html"><strong aria-hidden="true">8.1.20.</strong> ADR-020</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/Ferramental-AS-IS.html"><strong aria-hidden="true">8.1.21.</strong> Ferramental AS-IS</a></li><li class="chapter-item expanded "><a href="../../gov/fase1/GAP-Analysis.html"><strong aria-hidden="true">8.1.22.</strong> GAP Analysis</a></li></ol></li><li class="chapter-item expanded "><a href="../../gov/fase2.html"><strong aria-hidden="true">8.2.</strong> MGPD Microservices Governance Process Design</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../gov/fase2/Introdução.html"><strong aria-hidden="true">8.2.1.</strong> Introdução</a></li><li class="chapter-item expanded "><a href="../../gov/fase2/Ferramentas.html"><strong aria-hidden="true">8.2.2.</strong> Ferramentas</a></li><li class="chapter-item expanded "><a href="../../gov/fase2/Governança-de-Planejamento.html"><strong aria-hidden="true">8.2.3.</strong> Governança de Planejamento</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../gov/fase2/Governança-de-Planejamento/Política-de-Infraestrutura.html"><strong aria-hidden="true">8.2.3.1.</strong> Política de Infraestrutura</a></li><li class="chapter-item expanded "><a href="../../gov/fase2/Governança-de-Planejamento/Política-de-Arquitetura.html"><strong aria-hidden="true">8.2.3.2.</strong> Política de Arquitetura</a></li><li class="chapter-item expanded "><a href="../../gov/fase2/Governança-de-Planejamento/Política-de-Segurança.html"><strong aria-hidden="true">8.2.3.3.</strong> Política de Segurança</a></li><li class="chapter-item expanded "><a href="../../gov/fase2/Governança-de-Planejamento/Política-de-APIs.html"><strong aria-hidden="true">8.2.3.4.</strong> Política de APIs</a></li></ol></li><li class="chapter-item expanded "><a href="../../gov/fase2/Governança-de-Desenvolvimento.html" class="active"><strong aria-hidden="true">8.2.4.</strong> Governança de Desenvolvimento</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../gov/fase2/Governança-de-Desenvolvimento/Política-de-Desenvolvimento.html"><strong aria-hidden="true">8.2.4.1.</strong> Política de Desenvolvimento</a></li><li class="chapter-item expanded "><a href="../../gov/fase2/Governança-de-Desenvolvimento/Política-de-Qualidade-e-Métricas.html"><strong aria-hidden="true">8.2.4.2.</strong> Política de Qualidade e Métricas</a></li><li class="chapter-item expanded "><a href="../../gov/fase2/Governança-de-Desenvolvimento/Política-de-Testes.html"><strong aria-hidden="true">8.2.4.3.</strong> Política de Testes</a></li><li class="chapter-item expanded "><a href="../../gov/fase2/Governança-de-Desenvolvimento/Política-de-Construção.html"><strong aria-hidden="true">8.2.4.4.</strong> Política de Construção</a></li></ol></li><li class="chapter-item expanded "><a href="../../gov/fase2/Governança-de-Operação.html"><strong aria-hidden="true">8.2.5.</strong> Governança de Operação</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../gov/fase2/Governança-de-Operação/Política-de-Operação.html"><strong aria-hidden="true">8.2.5.1.</strong> Política de Operação</a></li><li class="chapter-item expanded "><a href="../../gov/fase2/Governança-de-Operação/Política-de-Versionamento.html"><strong aria-hidden="true">8.2.5.2.</strong> Política de Versionamento</a></li></ol></li><li class="chapter-item expanded "><a href="../../gov/fase2/Governança-de-Compartilhamento.html"><strong aria-hidden="true">8.2.6.</strong> Governança de Compartilhamento</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../gov/fase2/Governança-de-Compartilhamento/Política-de-Monitoramento-e-Métricas-de-APIs.html"><strong aria-hidden="true">8.2.6.1.</strong> Política de Monitoramento e Métricas de APIs</a></li></ol></li><li class="chapter-item expanded "><a href="../../gov/fase2/Modelos-de-Documentação.html"><strong aria-hidden="true">8.2.7.</strong> Modelos de Documentação</a></li><li><ol class="section"><li class="chapter-item expanded "><a href="../../gov/fase2/Modelos-de-Documentação/1.-Documento-de-Contrato-de-Microserviço.html"><strong aria-hidden="true">8.2.7.1.</strong> 1 Documento de Contrato de Microserviço</a></li><li class="chapter-item expanded "><a href="../../gov/fase2/Modelos-de-Documentação/2.-Checklist-de-aprovação-para-implantação.html"><strong aria-hidden="true">8.2.7.2.</strong> 2 Checklist de Aprovação para Implantação</a></li></ol></li></ol></li></ol></li></ol>
            </div>
            <div id="sidebar-resize-handle" class="sidebar-resize-handle"></div>
        </nav>

        <div id="page-wrapper" class="page-wrapper">

            <div class="page">
                <div id="menu-bar-hover-placeholder"></div>
                <div id="menu-bar" class="menu-bar sticky bordered">
                    <div class="left-buttons">
                        <button id="sidebar-toggle" class="icon-button" type="button" title="Toggle Table of Contents" aria-label="Toggle Table of Contents" aria-controls="sidebar">
                            <i class="fa fa-bars"></i>
                        </button>
                        <button id="theme-toggle" class="icon-button" type="button" title="Change theme" aria-label="Change theme" aria-haspopup="true" aria-expanded="false" aria-controls="theme-list">
                            <i class="fa fa-paint-brush"></i>
                        </button>
                        <ul id="theme-list" class="theme-popup" aria-label="Themes" role="menu">
                            <li role="none"><button role="menuitem" class="theme" id="light">Light (default)</button></li>
                            <li role="none"><button role="menuitem" class="theme" id="rust">Rust</button></li>
                            <li role="none"><button role="menuitem" class="theme" id="coal">Coal</button></li>
                            <li role="none"><button role="menuitem" class="theme" id="navy">Navy</button></li>
                            <li role="none"><button role="menuitem" class="theme" id="ayu">Ayu</button></li>
                        </ul>
                        <button id="search-toggle" class="icon-button" type="button" title="Search. (Shortkey: s)" aria-label="Toggle Searchbar" aria-expanded="false" aria-keyshortcuts="S" aria-controls="searchbar">
                            <i class="fa fa-search"></i>
                        </button>
                    </div>

                    <h1 class="menu-title">Arquitetura Mínima Viável</h1>

                    <div class="right-buttons">
                        <a href="../../print.html" title="Print this book" aria-label="Print this book">
                            <i id="print-button" class="fa fa-print"></i>
                        </a>
                    </div>
                </div>

                <div id="search-wrapper" class="hidden">
                    <form id="searchbar-outer" class="searchbar-outer">
                        <input type="search" id="searchbar" name="searchbar" placeholder="Search this book ..." aria-controls="searchresults-outer" aria-describedby="searchresults-header">
                    </form>
                    <div id="searchresults-outer" class="searchresults-outer hidden">
                        <div id="searchresults-header" class="searchresults-header"></div>
                        <ul id="searchresults">
                        </ul>
                    </div>
                </div>
                <!-- Apply ARIA attributes after the sidebar and the sidebar toggle button are added to the DOM -->
                <script type="text/javascript">
                    document.getElementById('sidebar-toggle').setAttribute('aria-expanded', sidebar === 'visible');
                    document.getElementById('sidebar').setAttribute('aria-hidden', sidebar !== 'visible');
                    Array.from(document.querySelectorAll('#sidebar a')).forEach(function(link) {
                        link.setAttribute('tabIndex', sidebar === 'visible' ? 0 : -1);
                    });
                </script>

                <div id="content" class="content">
                    <main>
                        <p><img src="../../img/logo-valecard.png" alt="Screenshot" /></p>
<h1 id="governança-de-desenvolvimento"><a class="header" href="#governança-de-desenvolvimento">Governança de Desenvolvimento</a></h1>
<h2 id="introdução"><a class="header" href="#introdução">Introdução</a></h2>
<p>A Governança de Desenvolvimento dá continuidade a Governança de Planejamento e respeita a Governança de Políticas, executando-a sempre que houver. Esta possibilita que os microsserviços sejam construídos corretamente. </p>
<p>Para tal, o desenvolvimento deve se atentar as políticas específicas de cada disciplina, como itens definidos na arquitetura de referência, como padrões de segurança, granularidade, domínio, comunicação e qualidade. </p>
<p>No tocante à qualidade, as políticas criadas e inseridas no documento de Políticas de Qualidades e Métricas devem ser respeitadas pelos times de desenvolvimento, sejam estes internos ou externos (fábricas de software contratadas). Seu objetivo é reduz o Débito Técnico das entregas e trazer economia para a empresa que recebe o produzido (código\software). </p>
<p>No tocante a arquitetura, todos os modelos arquiteturais e\ou documentos de arquitetura de referência especificados na empresa e inserido como políticas, devem ser também respeitados durante o desenvolvimento.</p>
<h2 id="atividades-e-diretrizes"><a class="header" href="#atividades-e-diretrizes">Atividades e Diretrizes</a></h2>
<ul>
<li>Detalhar os requisitos;</li>
<li>Levantar as funcionalidades reutilizáveis;</li>
<li>Racionalizar e consolidar os microsserviços;</li>
<li>Definir a arquitetura de infraestrutura e software;</li>
<li>Elaborar o desenho da solução;</li>
<li>Construir a solução de acordo com os padrões definidos;</li>
<li>Revisar SLAs do microserviço e APIs\resources a serem disponibilizados.</li>
</ul>
<h2 id="principais-atores"><a class="header" href="#principais-atores">Principais Atores</a></h2>
<p>Product Management;
Arquiteto de Soluções;
Engenheiro de Software.</p>
<hr />
<h2 id="storytelling"><a class="header" href="#storytelling">Storytelling:</a></h2>
<h3 id="capítulo-2-a-reunião-de-kick-off"><a class="header" href="#capítulo-2-a-reunião-de-kick-off">Capítulo 2: A Reunião de &quot;Kick off&quot;</a></h3>
<p>Assim que houve a aprovação oficial do departamento financeiro para o desenvolvimento interno de solução para conter o rombo fiscal, o Product Management tratou de organizar uma nova equipe, composta de:</p>
<ul>
<li>Um <strong><em>Project owner</em></strong>;</li>
<li>Um <strong><em>Agile team</em></strong>, equipe multidisciplinar composta de alguns desenvolvedores, testers, DBA e analistas de softwares.</li>
<li>Um <strong><em>Scrum master</em></strong>;</li>
<li>Um <strong>Líder técnico</strong>.</li>
</ul>
<p>Para o lançamento oficial do projeto, o Product Management convocou uma reunião chamada de &quot;<strong><em>Kick off</em></strong>&quot; com a nova equipe. </p>
<p>O início da reunião, o Product Management apresentou todos os componentes do grupo e fez uma breve apresentação do projeto. </p>
<p>Logo após, passou a palavra para o Project owner, que apresentou um quadro contendo o &quot;<strong><em>Program Backlog</em></strong>&quot;. Trata-se de um conjunto de funcionalidades que o novo software precisa conter, descrito de maneira conceitual (sem tantos detalhes).</p>
<p>Terminada sua fala, o CTO passou a palavra para o Scrum master, que apresentou a forma como a equipe de desenvolvimento irá trabalhar: Ele mencionou sobre a metodologia &quot;<strong><em>Scrum</em></strong>&quot;; disse que o tempo de trabalho será dividido em &quot;<strong><em>Sprints</em></strong>&quot; de duas semanas, e que haveria reuniões sempre no início e no fim de cada Sprint; também mencionou sobre as reuniões diárias.</p>
<p>Antes da conclusão da reunião, a equipe marcou para o dia seguinte o início oficial da primeira Sprint.</p>
<h3 id="capítulo-2-iniciando-a-primeira-sprint"><a class="header" href="#capítulo-2-iniciando-a-primeira-sprint">Capítulo 2: Iniciando a Primeira Sprint</a></h3>
<p>Toda sprint inicia-se com uma cerimônia chamada &quot;<strong><em>Planejamento da Interação</em></strong>&quot;. Normalmente dura 4 horas em que o Project Owner apresenta as histórias mais prioritárias para o planejamento. O time então:</p>
<ul>
<li>Revisa cada história e define o critério de aceite;</li>
<li>Divide a história em tarefas menores;</li>
<li>Estima uma pontuação para cada tarefa;</li>
<li>Define quais tarefas serão entregues nesta próxima Sprint. As atividades que não foram incluídas ficam armazenadas no &quot;<strong><em>Team backlog</em></strong>&quot;, para serem avaliadas na reunião de planejamento seguinte.</li>
</ul>
<p>Um das dificuldades que o time apresentou logo nesta primeira reunião foi na estimativa de pontos das atividades. Para tranquilizar a equipe, o Scrum master disse que é normal que as primeiras sprints a equipe &quot;erre feio&quot; na estimativa, mas que ao longo das demais o time vai aprendendo e passe a acertar cada vez mais.</p>
<p>Para visualizar o trabalho desenvolvido, a equipe adotou o &quot;<strong><em>Kanbam</em></strong>&quot;: Trata-se de um quadro, dividido em etapas, em que as atividades vão &quot;deslizando&quot; entre as colunas conforme andamento. Segue um exemplo de quadro:</p>
<p><img src="img/kanbam.png" alt="governanca-politicas.png" /></p>
<p>É responsabilidade de cada integrante da equipe atualizar o quadro conforme for iniciando ou concluindo uma atividade.</p>
<p>Concluída a reunião, o time já sabe quais são as atividades que devem desenvolver ao longo das semanas.</p>
<h3 id="capítulo-4-durante-a-sprint"><a class="header" href="#capítulo-4-durante-a-sprint">Capítulo 4: Durante a Sprint</a></h3>
<p>Por se tratar do início do projeto, a primeira grande tarefa do <strong>Líder técnico</strong> é a execução do &quot;<strong><em>Warm up</em></strong>&quot;, ou seja, a criação dos repositórios de código-fonte e dos acessos da equipe, para se iniciar o desenvolvimento.</p>
<p>Por padrão, todos os repositórios serão criados com as seguintes <strong><em>branchs</em></strong> históricas:</p>
<ul>
<li><strong><code>main</code>:</strong> Trata-se da branch que corresponde ao ambiente de produção;</li>
<li><strong><code>develop</code>:</strong> Trata-se da branch que corresponde ao ambiente de desenvolvimento.</li>
</ul>
<p>Para iniciar a criação de uma nova funcionalidade, os desenvolvedores irá criar uma nova branch a partir de <code>develop</code>, seguindo o seguinte template: <code>feature/{id da história}</code>. </p>
<p>Se a tarefa demorar mais do que um dia para ser desenvolvida, é importante que o desenvolvedor efetue um <code>merge</code> de volta em <code>develop</code>, para evitar conflitos posteriormente. </p>
<p>Ao concluir a tarefa, o desenvolvedor necessita submeter o código para aprovação por meio de um de &quot;<strong><em>Pull request</em></strong>&quot;. Isso irá disparar uma verificação de código-fonte, para avaliar a qualidade do código desenvolvido. Além disto, antes do <code>merge</code>, é importante que o líder técnico (ou outro desenvolvedor com nível sênior) avalie o código.</p>
<p>Estando tudo OK, o processo de <code>merge</code> irá disparar o processo automatizado de implantação no ambiente de desenvolvimento e testes.</p>
<p>Todos os dias a equipe se reuni para a cerimônia chamada &quot;<strong><em>Daily</em></strong>&quot;: Trata-se de uma reunião rápida em que todos os envolvidos apresentam:</p>
<ol>
<li>As atividades que fizeram desde a última reunião até agora;</li>
<li>Quais atividades que irá trabalhar a partir de agora;</li>
<li>Se encontrou algum impedimento em uma atividade.</li>
</ol>
<p>É importante a participação do Product Owner nesta reunião, para que ao final ele possa auxiliar a equipe no desbloqueio dos impedimentos.</p>
<h3 id="capítulo-5-conclusão-da-sprint"><a class="header" href="#capítulo-5-conclusão-da-sprint">Capítulo 5: Conclusão da Sprint</a></h3>
<p>Passado as duas semanas da sprint, toda a equipe se reuni novamente para duas cerimônias:</p>
<ol>
<li><strong>Revisão da Interação:</strong> Os integrantes demonstram o resultado do desenvolvimento de cada uma das atividades e histórias. Isto é especialmente importante, pois demonstra o valor construído ao longo desta sprint.</li>
<li><strong>Retrospectiva da Interação:</strong> Os integrantes apresentam aspectos no trabalho que precisam ser reforçados e também que precisam ser melhorados, além de apresentar ideias. Isto ajuda na interação da equipe e na qualidade do processo para as sprints seguintes.</li>
</ol>
<p>Uma vez aprovada as novas funcionalidades pelo Product Owner, o líder técnico conduz a criação de uma nova versão do software. Para isso, ele efetua a criação de uma nova <code>branch</code>, seguinte o template: <code>release/{número da interação}</code> a partir da <code>develop</code>. Processos automatizados irão ´gerar uma nova versão do software e promover para o ambiente de homologação.</p>
<p>Correções originadas a partir da homologação poderão ser feitas diretamente na branch de release. Importante mencionar que tais correções precisam ser mergeadas de volta para <code>develop</code>, para evitar que um erro já corrigido volte a aparecer em releases posteriores.</p>
<p>Uma vez aprovada a versão pelo cliente, através dos testes no ambiente de homologação, o Product Owner precisa conduzir a promoção para o ambiente produtivo. Este é feito a partir  de um <strong><em>Pull Request</em></strong> da release para a branch <code>main</code>. Uma vez aprovado, um processo automatizado deverá promover a versão para o ambiente de produção.</p>
<h3 id="capítulo-6-alguns-problemas-pelo-caminho"><a class="header" href="#capítulo-6-alguns-problemas-pelo-caminho">Capítulo 6: Alguns Problemas pelo Caminho</a></h3>
<p>Na segunda sprint, um novo tipo de chamado surgiu originado pela equipe de SRE: A necessidade de uma correção de erro no ambiente produtivo. Líder técnico e Scrum master foram acionados para direcionar o que fazer, já que a versão de desenvolvimento não está estável o suficiente para subir.</p>
<p>Eles explicaram como funciona este processo importante, mas em caráter emergencial e excepcional: A criação de uma <code>branch</code> a partir de <code>main</code> seguinte o template: <code>bugfix/{id do chamado}</code>. A correção é aplicada nesta nova <code>branch</code>, e o merge deverá ocorrer em dois locais: de volta na <code>main</code> e em <code>develop</code> (este último para evitar que o problema volta a ocorrer nas releases seguintes).</p>
<p>Outro problema que a equipe passou a reportar são os erros no software que surgem ao longo das entregas, e que não são identificados durante o desenvolvimento. Para isto, o Líder técnico apresentou técnicas de desenvolvimento para auxiliar na elaboração de cenários de testes. São eles: TDD (<em>Test Driven Developement</em>) e BDD (<em>Behavior Driven Developement</em>).</p>
<hr />
<h2 id="resumo"><a class="header" href="#resumo">Resumo</a></h2>
<p>Vimos ao longo desta história sobre como a equipe de desenvolvimento precisa atuar, as diversas cerimônias, a importância do Program backlog e Team backlog e o papel de cada um  dentro da equipe.</p>
<p>Dentro do <strong><em>Fluxo Macro de Ciclo de Vida de um Microserviço</em></strong>, isso corresponde as etapas 6 a 8, conforme imagem:</p>
<p><img src="img/fluxo.png" alt="governanca-politicas.png" /></p>
<p>Os detalhes sobre cada aspecto deste documento podem ser encontrados nos documentos de políticas atreladas à etapa de Governança de Desenvolvimento, a saber:</p>
<ul>
<li>Política de Desenvolvimento;</li>
<li>Política de Qualidade e Métricas;</li>
<li>Política de Testes;</li>
<li>Política de Construção.</li>
</ul>

                    </main>

                    <nav class="nav-wrapper" aria-label="Page navigation">
                        <!-- Mobile navigation buttons -->
                            <a rel="prev" href="../../gov/fase2/Governança-de-Planejamento/Política-de-APIs.html" class="mobile-nav-chapters previous" title="Previous chapter" aria-label="Previous chapter" aria-keyshortcuts="Left">
                                <i class="fa fa-angle-left"></i>
                            </a>
                            <a rel="next" href="../../gov/fase2/Governança-de-Desenvolvimento/Política-de-Desenvolvimento.html" class="mobile-nav-chapters next" title="Next chapter" aria-label="Next chapter" aria-keyshortcuts="Right">
                                <i class="fa fa-angle-right"></i>
                            </a>
                        <div style="clear: both"></div>
                    </nav>
                </div>
            </div>

            <nav class="nav-wide-wrapper" aria-label="Page navigation">
                    <a rel="prev" href="../../gov/fase2/Governança-de-Planejamento/Política-de-APIs.html" class="nav-chapters previous" title="Previous chapter" aria-label="Previous chapter" aria-keyshortcuts="Left">
                        <i class="fa fa-angle-left"></i>
                    </a>
                    <a rel="next" href="../../gov/fase2/Governança-de-Desenvolvimento/Política-de-Desenvolvimento.html" class="nav-chapters next" title="Next chapter" aria-label="Next chapter" aria-keyshortcuts="Right">
                        <i class="fa fa-angle-right"></i>
                    </a>
            </nav>

        </div>

        <script type="text/javascript">
            window.playground_copyable = true;
        </script>
        <script src="../../elasticlunr.min.js" type="text/javascript" charset="utf-8"></script>
        <script src="../../mark.min.js" type="text/javascript" charset="utf-8"></script>
        <script src="../../searcher.js" type="text/javascript" charset="utf-8"></script>
        <script src="../../clipboard.min.js" type="text/javascript" charset="utf-8"></script>
        <script src="../../highlight.js" type="text/javascript" charset="utf-8"></script>
        <script src="../../book.js" type="text/javascript" charset="utf-8"></script>

        <!-- Custom JS scripts -->
    </body>
</html>
